summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorruki <[email protected]>2025-11-23 23:34:16 +0800
committerruki <[email protected]>2025-11-23 23:34:16 +0800
commit8a9a531e1bb8a2196c8cd066f46b32d9bf38048a (patch)
treec8d1005358792849d3eb2f86b940449ee491e45b
parente301ec49b76d70c06817227a2f386b8151e4a898 (diff)
improve xmake.sh
-rwxr-xr-xcore/xmake.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/core/xmake.sh b/core/xmake.sh
index 3a691028c..2928ab62d 100755
--- a/core/xmake.sh
+++ b/core/xmake.sh
@@ -47,14 +47,13 @@ option_end
option "curses"
add_cfuncs "initscr"
add_cincludes "curses.h"
- add_defines "XM_CONFIG_API_HAVE_CURSES"
before_check "option_find_curses"
+ if ! is_host "solaris"; then
+ add_defines "XM_CONFIG_API_HAVE_CURSES"
+ fi
option_end
option_find_curses() {
- if is_plat "solaris"; then
- return
- fi
local ncurses="ncurses"
if is_plat "mingw"; then
ncurses="ncursesw"